export declare const PHONG_TEXTURE_FRAG = "#define SHADER_NAME phong_texture_frag\n\nprecision highp float;\n\nuniform float uShininess;\nuniform vec3 uLightDirection;\n\nuniform vec4 uLightAmbient;\nuniform vec4 uLightDiffuse;\nuniform vec4 uLightSpecular;\n\nuniform vec4 uMaterialAmbient;\nuniform vec4 uMaterialDiffuse;\nuniform vec4 uMaterialSpecular;\n\nvarying vec3 vNormal;\nvarying vec3 vEyeVec;\nvarying vec4 vColor;\n\nvoid main(void)\n{\n    vec3 L = normalize(uLightDirection);\n    vec3 N = normalize(vNormal);\n\n    float lambertTerm = dot(N, -L);\n\n    vec4 Ia = uLightAmbient * uMaterialAmbient;\n    vec4 Id = vec4(0.0, 0.0, 0.0, 1.0);\n    vec4 Is = vec4(0.0, 0.0, 0.0, 1.0);\n\n    if (lambertTerm > 0.0)\n    {\n        Id = uLightDiffuse * vColor * lambertTerm;\n\n        vec3 E = normalize(vEyeVec);\n        vec3 R = reflect(L, N);\n\n        float specular = pow(max(dot(R, E), 0.0), uShininess);\n\n        Is = uLightSpecular * uMaterialSpecular * specular;\n    }\n\n    vec4 finalColor = Ia + Id + Is;\n\n    finalColor.a = 1.0;\n\n    gl_FragColor = finalColor;\n}\n";
//# sourceMappingURL=PHONG_TEXTURE_FRAG.d.ts.map