export declare const PHONG_TEXTURE_VERT = "\n#define SHADER_NAME phong_texture_vert\n\nprecision highp float;\n\nattribute vec3 aVertexPosition;\nattribute vec3 aVertexNormal;\nattribute vec4 aVertexColor;\n\nuniform mat4 uProjectionMatrix;\nuniform mat4 uCameraMatrix;\nuniform mat4 uNormalMatrix;\n\nvarying vec3 vNormal;\nvarying vec3 vEyeVec;\nvarying vec4 vColor;\n\nvoid main(void) {\n\n    vColor = vec4(aVertexColor.bgr, 1.0);\n\n    vec4 vertex = uCameraMatrix * vec4(aVertexPosition, 1.0);\n\n    vNormal = vec3(uNormalMatrix * vec4(aVertexNormal, 1.0));\n\n    vEyeVec = -vec3(vertex.xyz);\n\n    gl_Position = uProjectionMatrix * uCameraMatrix * vec4(aVertexPosition, 1.0);\n}\n";
//# sourceMappingURL=PHONG_TEXTURE_VERT.d.ts.map