export declare const SINGLE_QUAD_FRAG = "#define SHADER_NAME SINGLE_QUAD_FRAG\n\nprecision highp float;\n\nvarying vec2 vTextureCoord;\nvarying float vTextureId;\nvarying vec4 vTintColor;\n\nuniform sampler2D uTexture;\nuniform mat4 uColorMatrix;\nuniform vec4 uColorOffset;\n\nvoid main (void)\n{\n    vec4 color = texture2D(uTexture, vTextureCoord);\n\n    //  Un pre-mult alpha\n    if (color.a > 0.0)\n    {\n        color.rgb /= color.a;\n    }\n\n    vec4 result = color * uColorMatrix + (uColorOffset / 255.0);\n\n    //  Pre-mult alpha\n    result.rgb *= result.a;\n\n    gl_FragColor = vec4(result.rgb, result.a);\n}";
//# sourceMappingURL=SINGLE_QUAD_FRAG.d.ts.map